-- Most of the idea to the code (and the "well written" part of it :-) are by Phanx, whom I thanks for the helps and patience in explaining. 

local ADDON = ...
local prgname = "|cffffd200"..ADDON.."|r"
local status, status_old
local soundfile = "Interface\\AddOns\\"..ADDON.."\\sounds\\aggro.ogg"

local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
frame:SetScript("OnEvent", function(self, event, ...)

	if event == "PLAYER_ENTERING_WORLD" or event == "ZONE_CHANGED_NEW_AREA" then
		
		if instanceType == "arena" or instanceType == "pvp" or (instanceType == "none" and GetZonePVPInfo() == "combat") then
			
			frame:UnregisterEvent("UNIT_THREAT_SITUATION_UPDATE")
			frame:UnregisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		
		else 
		
			frame:RegisterEvent("UNIT_THREAT_SITUATION_UPDATE")
			frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

		end
	end
	
	if event == "UNIT_THREAT_SITUATION_UPDATE" or event == "COMBAT_LOG_EVENT_UNFILTERED" then

		status = UnitThreatSituation("player")
			
		-- play the old "Aggro!" ... It miss me so much ...  ! :-)
		if status and status >= 1 and status_old == nil then
			PlaySoundFile(soundfile, "Master")
		end
		-- store the actual aggro level
		status_old = status
	end	
end)